%define rname tagpy
Name: python-module-tagpy
Version: 0.94.5
Release: alt1

Summary: TagPy is a set of Python bindings for TagLib. 
License: GPL2+
Group: Development/Python
Url: http://mathema.tician.de/software/tagpy

Packager: Alexey Morsov <swi@altlinux.ru>
Source: %name-%version.tar

Buildrequires: python-dev >= 2.4 boost-python-devel libtag-devel gcc4.1-c++

Requires: python >= 2.4

%description
TagPy is a set of Python bindings for Scott Wheeler's TagLib. 
It builds upon Boost.Python, a wrapper generation library which is part
of the Boost set of C++ libraries.

Just like TagLib, TagPy can:

  * read and write ID3 tags of version 1 and 2, with many supported frame 
    types for version 2 (in MPEG Layer 2 and MPEG Layer 3, FLAC and MPC),
  * access Xiph Comments in Ogg Vorbis Files and Ogg Flac Files,
  * access APE tags in Musepack and MP3 files.

%prep
%setup -q
subst 's|boost_python-gcc42-mt|boost_python-gcc41-mt|g' setup.py

%build
./configure --taglib-inc-dir=%_includedir/taglib
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES


%files -f INSTALLED_FILES
%defattr(-,root,root)
%python_sitelibdir/_%{rname}.so
%python_sitelibdir/%rname/


%changelog
* Tue Feb 26 2008 Alexey Morsov <swi@altlinux.ru> 0.94.5-alt1
- 0.95.5
- fix build with taglib 1.5

* Sat Jan 26 2008 Grigory Batalov <bga@altlinux.ru> 0.93-alt1.1
- Rebuilt with python-2.5.

* Thu Jan 17 2008 Alexey Morsov <swi@altlinux.ru> 0.93-alt1
- initial build for sisyphus


